package net.northking.cctp.upperComputer.driver.adb;

import net.northking.cctp.upperComputer.deviceManager.AndroidDeviceManager;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.ArrayList;

public class AndroidDeviceListener implements Adb.DeviceWatcher{

    private final Logger logger = LoggerFactory.getLogger(AndroidDeviceListener.class);

    @Override
    public boolean isWatching() {
        return true;
    }

    @Override
    public void update(ArrayList<AdbDevice> currentDevices) {
        AndroidDeviceManager.getInstance().handleAndroidDevice(currentDevices);
    }
}
